<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "&nbsp;");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<div id='container'><div id='header'>\n".showbanners()."</div>\n";
	echo "<div id='navigasi'>".showsublinks(" ".THEME_BULLET." ", "white")."</div>\n";

	//Content
	if (RIGHT) { echo "<div id='right'>".RIGHT."</div>"; }
    if (LEFT) { echo "<div id='left'>".LEFT."</div>"; }
	echo "<div id='content'>".U_CENTER.CONTENT.L_CENTER."</div>";

    //Footer
	echo "<div id='footer'>\n";
	echo sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."\n";
	echo " . " .showcounter()."<br />\n";
	echo stripslashes($settings['footer']) . "Designed by <a href='mailto:hendraw4n@gmail.com'>Kodokhunt</a> | <a href='http://kodokhunt.blogsome.com'>UnknoWN.Zone</a> | Theme Conversion By <a href='http://www.salamm.com'>salam</a>";
	if (!$license) { echo "<br />\n".showcopyright(); }
	echo "</div></div>\n";

}

function render_news($subject, $news, $info) {

	echo "<h3>".$subject."</h3>\n";
	echo "<p>".$news."<br />\n";
	echo "<div align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n</p>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<h3>".$subject."</h3>\n";
	echo "<p>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."<br />\n";
	echo "<div class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n</p>\n";

}

function opentable($title) {

	echo "<h3>".$title."</h3><p>\n";

}

function closetable() {

	echo "</p>";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<h3>".$title."</h3>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<p>".panelbutton($state, $boxname)."\n";
	}

	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</p>\n";

}
?>
